cascading.flow.planner.iso.transformer

## Class Transformed<E extends ElementGraph>

- java.lang.Object
- - cascading.flow.planner.iso.GraphResult
  - - cascading.flow.planner.iso.transformer.Transformed<E>

-     public class Transformed<E extends ElementGraph>
      extends GraphResult

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Transformed(PlannerContext plannerContext, GraphTransformer graphTransformer, ElementGraph beginGraph)`
    `Transformed(PlannerContext plannerContext, GraphTransformer graphTransformer, ExpressionGraph expressionGraph, ElementGraph beginGraph)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChildTransform(Transformed transformed)`
    `ElementGraph` | `getBeginGraph()`
    `List<Transformed>` | `getChildTransforms()`
    `E` | `getEndGraph()`
    `GraphTransformer` | `getGraphTransform()`
    `int` | `getNumRecursions()`
    `PlannerContext` | `getPlannerContext()`
    `List<ElementGraph>` | `getRecursions()`
    `String` | `getRuleName()`
    `String` | `getTransformerName()`
    `void` | `setEndGraph(E endGraph)`
    `void` | `writeDOTs(String path)`

    - ### Methods inherited from class cascading.flow.planner.iso.GraphResult

      `makeFileName, writeBeginGraph, writeEndGraph`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Transformed

          public Transformed(PlannerContext plannerContext,
                     GraphTransformer graphTransformer,
                     ElementGraph beginGraph)

    - #### Transformed

          public Transformed(PlannerContext plannerContext,
                     GraphTransformer graphTransformer,
                     ExpressionGraph expressionGraph,
                     ElementGraph beginGraph)

  - ### Method Detail

    - #### getPlannerContext

          public PlannerContext getPlannerContext()

    - #### getRuleName

          public String getRuleName()

      Specified by:
        `getRuleName` in class `GraphResult`

    - #### getTransformerName

          public String getTransformerName()

    - #### getGraphTransform

          public GraphTransformer getGraphTransform()

    - #### getBeginGraph

          public ElementGraph getBeginGraph()

      Specified by:
        `getBeginGraph` in class `GraphResult`

    - #### setEndGraph

          public void setEndGraph(E endGraph)

    - #### getEndGraph

          public E getEndGraph()

      Specified by:
        `getEndGraph` in class `GraphResult`

    - #### getNumRecursions

          public int getNumRecursions()

    - #### getRecursions

          public List<ElementGraph> getRecursions()

    - #### getChildTransforms

          public List<Transformed> getChildTransforms()

    - #### addChildTransform

          public void addChildTransform(Transformed transformed)

    - #### writeDOTs

          public void writeDOTs(String path)

      Specified by:
        `writeDOTs` in class `GraphResult`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.